<app-loading *ngIf="isLoading"></app-loading>
<div class="action-breadcrumb-float-right">
  <mb-button
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.approvement-issue.button.issueApprove' | translate }}"
    (click)="submit(0)"
    *ngIf="checkApproveIssueButton()"
  >
  </mb-button>
  <mb-button
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.approvement-issue.button.cancelApprove' | translate }}"
    (click)="submit(1)"
    *ngIf="statusPublish === StatusPublishConst.PENDINGAPPROVECANCELISSUE"
  >
  </mb-button>
  <mb-button
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.approvement-issue.button.issueApproveAgain' | translate }}"
    (click)="submit(2)"
    *ngIf="statusPublish === StatusPublishConst.PENDINGAPPROVEISSUEAGAIN"
  >
  </mb-button>
</div>

<nz-card class="card mt-0 card-header">
  <div nz-row [nzGutter]="[32, 32]">
    <div nz-col class="gutter-row" nzLg="6" *ngIf="publishCode">
      <span class="title-section">{{ 'development.promulgate.search.issueCode' | translate }}</span
        ><br />
      <label class="text-label">{{ publishCode }}</label>
    </div>
    <div nz-col class="gutter-row" nzLg="6" *ngIf="isCheckDecision && proposeCategory === ProposeCategoryConst.ELEMENT">
      <span class="title-section">{{ 'development.promulgate.action.proposeType' | translate }}</span
        ><br />
      <label class="text-label">{{ proposeID }}</label>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <span class="title-section">{{ 'development.promulgate.search.issueContent' | translate }}</span
      ><br />
      <label class="text-label">{{ publishContent }}</label>
    </div>

    <div nz-col class="gutter-row" nzLg="6">
      <span class="title-section">{{ 'development.promulgate.action.statusPublish' | translate }}</span
        ><br />
      <label class="text-label">{{ statusPublishName }}</label>
    </div>
    <div nz-col class="gutter-row" nzLg="6" *ngIf="withdrawNoteName">
      <span class="title-section">{{ 'development.proposed-unit.table.noteWithdraw' | translate }}</span
        ><br />
      <label class="text-label">{{ withdrawNoteName }}</label>
    </div>
  </div>
</nz-card>

<nz-card class="card">
  <mb-table-wrap [mbTitle]="[ 'development.promulgate.section.listEmp' | translate]" [extra]="false">
    <mb-table
      [tableConfig]="tableConfig"
      [tableData]="dataTable"
      [heightTable]="heightTable"
    >
    </mb-table>
  </mb-table-wrap>

  <ng-template #joinDateTmpl let-joinCompanyDate="joinCompanyDate">
    <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="joinCompanyDate"></em>
    <span class="effectiveDate">{{ joinCompanyDate | date: 'dd/MM/yyyy' }}</span>
  </ng-template>

  <ng-template #effectiveDateTmpl let-issueEffectiveStartDate="issueEffectiveStartDate">
    <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="issueEffectiveStartDate"></em>
    <span class="effectiveDate">{{ issueEffectiveStartDate | date: 'dd/MM/yyyy' }}</span>
  </ng-template>

  <ng-template #endDateTmpl let-issueEffectiveEndDate1="issueEffectiveEndDate1">
    <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="issueEffectiveEndDate1"></em>
    <span class="effectiveDate">{{ issueEffectiveEndDate1 | date: 'dd/MM/yyyy' }}</span>
  </ng-template>

  <ng-template #maximumTimeTmpl let-maximumTime="maximumTime">
    <ng-container *ngIf="maximumTime">
      <span class="maximumTime">{{ maximumTime }}</span>
      <mb-select
        [(ngModel)]="typeMaximumTime"
        [mbDataSelects]="listTypeMaximumTime"
        [mbDisable]="true"
        mbKeyLabel="name"
        mbKeyValue="type"
        mbPlaceholder="{{
          'development.promulgate.section.typeMaximumTime' | translate
        }}"
        class="typeMaximumTime"
      >
      </mb-select>
    </ng-container>
  </ng-template>

  <ng-template #reportApproveTmpl let-processFileId="processFileId" let-processFileName="processFileName">
    <a (click)="downloadReportApprove(processFileId, processFileName)">
      {{ processFileName }}
    </a>
  </ng-template>

  <ng-template #TBIncomeTmpl let-isIncome="isIncome" let-id="id" let-idIncome="idIncome" let-nameIncome="nameIncome">
    <mb-button
      mbButtonAvailableStyle='PRIMARY'
      class="reportCard__uploadBtn"
      (click)="openUploadPopup(UploadPopupName.INCOME, id, DocumentTypeConst.TBINCOME, fileTypeIssue.DECISION_SIGN)"
      *ngIf="isIncome && !idIncome"
    >
      <span>
        <em nz-icon nzType="upload"></em>
      </span>
    </mb-button>
    <br />
    <a (click)="downloadFileEmployeeList(idIncome, nameIncome)">
      {{ nameIncome }}
    </a>
    <em
      nz-icon
      nzType="delete"
      nzTheme="outline"
      class="deleteIconEmployee"
      *ngIf="idIncome"
      (click)="removeFileEmployeeList(id, DocumentTypeConst.TBINCOME, fileTypeIssue.DECISION_SIGN)">
    </em>
  </ng-template>

  <ng-template
    #TBInsuranceTmpl
    let-isInsurance="isInsurance"
    let-id="id"
    let-idInsurance="idInsurance"
    let-nameInsurance="nameInsurance"
  >
    <mb-button
      mbButtonAvailableStyle='PRIMARY'
      class="reportCard__uploadBtn"
      (click)="openUploadPopup(UploadPopupName.SALARY, id, DocumentTypeConst.TBINSURANCE, fileTypeIssue.DECISION_PUBLISH)"
      *ngIf="isInsurance && !idInsurance"
    >
      <span>
        <em nz-icon nzType="upload"></em>
      </span>
    </mb-button>
    <br />
    <a (click)="downloadFileEmployeeList(idInsurance, nameInsurance)">
      {{ nameInsurance }}
    </a>
    <em
      nz-icon
      nzType="delete"
      nzTheme="outline"
      *ngIf="idInsurance"
      class="deleteIconEmployee"
      (click)="removeFileEmployeeList(id, DocumentTypeConst.TBINSURANCE, fileTypeIssue.DECISION_PUBLISH)">
    </em>
  </ng-template>


  <nz-table
    class="rotationTable"
    #basicTable
    [nzData]="listFile?.length > 0 ? listFile : [{}]"
    [nzShowPagination]="false"
  >
    <thead>
      <tr>
        <th nzWidth="300px" scope="col" rowspan="2">{{ 'development.promulgate.table.needPrint' | translate }}</th>

        <th scope="col" rowspan="2" nzWidth="476px" class="text-center">
          {{ 'development.promulgate.table.docDigitalSignature' | translate }}
        </th>
        <th scope="col" rowspan="2" nzWidth="476px" class="text-center">
          {{ 'development.promulgate.table.docPublish' | translate }}
        </th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>
          <label nz-checkbox [(ngModel)]="isCheckDecision" [nzDisabled]="true">
            {{ checkProposeCategory() }}
          </label>
        </td>

        <td>
          <span
            class="file"
            (click)="downloadFile(listFileDecision.decisionSignId, listFileDecision.decisionSignName)"
            >{{ listFileDecision?.decisionSignName }}</span
          >
        </td>
        <td>
          <span
            class="file"
            (click)="downloadFile(listFileDecision?.decisionPublishId, listFileDecision?.decisionPublishName)"
            >{{ listFileDecision?.decisionPublishName }}</span
          >
        </td>
      </tr>
      <tr *ngIf="proposeCategory === categoryConst.ELEMENT">
        <td>
          <label nz-checkbox [(ngModel)]="isIncomeAnnouncement" [nzDisabled]="true">Thông báo thu nhập</label>
        </td>

        <td>
          <span
            class="file"
            (click)="
              downloadFile(listFileIncomeAnnouncement?.decisionSignId, listFileIncomeAnnouncement?.decisionSignName)
            "
            >{{ listFileIncomeAnnouncement?.decisionSignName }}</span
          >
        </td>
        <td>
          <span
            class="file"
            (click)="
              downloadFile(
                listFileIncomeAnnouncement.decisionPublishId,
                listFileIncomeAnnouncement?.decisionPublishName
              )
            "
            >{{ listFileIncomeAnnouncement?.decisionPublishName }}</span
          >
        </td>
      </tr>
      <tr *ngIf="proposeCategory === categoryConst.ELEMENT">
        <td>
          <label nz-checkbox [(ngModel)]="isModeInsurance" [nzDisabled]="true">Thông báo chế độ bảo hiểm</label>
        </td>

        <td>
          <span
            class="file"
            (click)="downloadFile(listFileModeInsurance.decisionSignId, listFileModeInsurance.decisionSignName)"
          >
            {{ listFileModeInsurance?.decisionSignName }}
          </span>
        </td>
        <td>
          <span
            class="file"
            (click)="downloadFile(listFileModeInsurance.decisionPublishId, listFileModeInsurance.decisionPublishName)"
            >{{ listFileModeInsurance?.decisionPublishName }}</span
          >
        </td>
      </tr>
    </tbody>
  </nz-table>
</nz-card>

<nz-card class="card">
  <div [formGroup]="form">
    <div class="wrap-header-report">
      <h3 class="title">{{ 'development.promulgate.section.decisionToIssue' | translate }}</h3>
    </div>
    <div nz-row [nzGutter]="[32, 32]">
      <div nz-col class="gutter-row" nzLg="6">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{ 'development.promulgate.section.effectiveDate' | translate }}"
          formControlName="effectiveDate"
          [mbDisabledDate]="disabledEffectiveDate"
          [mbDisabled]="true"
        >
        </mb-date-picker>
      </div>
      <div nz-col class="gutter-row" nzLg="6" *ngIf="getFormEffectiveDateOld">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{ 'development.promulgate.section.effectiveDateOld' | translate }}"
          formControlName="effectiveDateOld"
          [mbDisabled]="true"
        >
        </mb-date-picker>
      </div>
      <div nz-col class="gutter-row" nzLg="6" *ngIf="getFormEffectiveDateOld">
        <mb-input-text
          mbLabelText="{{ 'development.promulgate.section.decisionNumber' | translate }}"
          mbPlaceholderText="{{ 'development.promulgate.section.decisionNumber' | translate }}"
          formControlName="decisionNumber"
          [mbMaxLength]="20"
          [mbDisable]="!canEditDateSign"
        >
        </mb-input-text>
      </div>
      <ng-container *ngIf="decisionNum">
        <div nz-col class="gutter-row" nzLg="6">
          <mb-date-picker
            mbFormat="dd/MM/yyyy"
            mbPlaceholderText="dd/mm/yyyy"
            mbLabelText="{{ 'development.promulgate.section.dateSign' | translate }}"
            formControlName="signedDate"
            [mbDisabled]="!canEditDateSign"
          >
          </mb-date-picker>
        </div>

        <div nz-col class="gutter-row" nzLg="6">
          <mb-input-text
            mbLabelText="{{ 'development.promulgate.section.signer' | translate }}"
            mbPlaceholderText="{{ 'development.promulgate.section.signer' | translate }}"
            formControlName="signerCode"
            [mbDisable]="true"
          >
          </mb-input-text>
        </div>

        <div nz-col class="gutter-row" nzLg="24" class="my-4">
          <mb-input-text
            [mbIsTextAre]='true'
            [mbConfig]="{ rows: 3, autoSize: true }"
            formControlName="comment"
            mbLabelText="{{ 'development.promulgate.section.noteQTCT' | translate }}"
            mbPlaceholderText="{{ 'development.promulgate.section.noteQTCT' | translate }}"
            [mbDisable]="true"
          ></mb-input-text>
        </div>
      </ng-container>
    </div>
  </div>
  <div nz-row [nzGutter]="[32, 32]">
    <div nz-col class="gutter-row" nzLg="6"
      *ngIf="dataReason?.commentsIssueTransfer">
      <mb-input-text
        mbLabelText="{{ 'development.promulgate.section.noteMovePromulgate' | translate }}"
        mbPlaceholderText="{{ 'development.promulgate.section.noteMovePromulgate' | translate }}"
        [mbDisable]="true"
        [(ngModel)]="dataReason.commentsIssueTransfer"
      >
      </mb-input-text>
    </div>
  </div>
</nz-card>

<nz-card class="card" *ngIf="dataReason.reasonOrCorrection === false || dataReason.reasonOrCorrection === true">
  <div nz-row [nzGutter]="[32, 32]" class="reasons">
    <div nz-col class="gutter-row" nzLg="12">
      <mb-select
        [mbDataSelects]="dataDropdown"
        mbKeyLabel="value"
        mbKeyValue="state"
        [mbDisable]="true"
        mbLabelText="{{ 'development.promulgate.section.reasonCancel' | translate }}"
        mbPlaceholder="{{ 'development.promulgate.section.reasonCancel' | translate }}"
        [(ngModel)]="dataReason.reasonOrCorrection"
      >
      </mb-select>
    </div>
    <div nz-col class="gutter-row" nzLg="12"></div>
    <div nz-col class="gutter-row" nzLg="24">
      <mb-input-text
        [mbIsTextAre]='true'
        [mbConfig]="{ rows: 4, autoSize: true }"
        [mbDisable]="true"
        [mbMaxLength]="100"
        [(ngModel)]="dataReason.viewDetailReasonOrCorrection"
        mbLabelText="{{ 'development.promulgate.section.detailReasonCancel' | translate }}"
        mbPlaceholderText="{{ 'development.promulgate.section.detailReasonCancel' | translate }}"
      ></mb-input-text>
    </div>
  </div>
</nz-card>

<!-- Lịch sử -->
<nz-card id="tab7">
  <div nz-row>
    <div nz-col class="gutter-row" nzLg="2" (click)="expandLog()">
      <h3>{{ 'development.proposed-unit.section.proposeLogs' | translate }}</h3>
    </div>
    <div nz-col class="gutter-row" nzLg="1" (click)="expandLog()">
      <span class="iconLog">
        <em nz-icon nzType="{{ iconStatus }}"></em>
      </span>
    </div>
  </div>

  <mb-table-wrap *ngIf="isExpand" [mbTitle]="''" [extra]='false'>
    <mb-table [tableConfig]="tableLogs" [tableData]="proposeLogs"
              [heightTable]="heightTable"
              (changePageNum)='getLog($event)'
    >
    </mb-table>
  </mb-table-wrap>
</nz-card>

<ng-template #dateLog let-actionDate  = 'actionDate'>
  <em nz-icon nzType="calendar" nzTheme="outline" class="calendar" *ngIf="actionDate"></em>
  <span class="sentDate">{{ actionDate | date: 'dd/MM/yyyy HH:mm' }}</span>
</ng-template>
